#if 0 

    Copyright (c) 1991 SGI   All Rights Reserved
    THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF SGI
    The copyright notice above does not evidence any
    actual or intended publication of such source code,
    and is an unpublished work by Silicon Graphics, Inc.
    This material contains CONFIDENTIAL INFORMATION that
    is the property of Silicon Graphics, Inc. Any use,
    duplication or disclosure not specifically authorized
    by Silicon Graphics is strictly prohibited.
    
    RESTRICTED RIGHTS LEGEND:
    
    Use, duplication or disclosure by the Government is
    subject to restrictions as set forth in subdivision
    (c)(1)(ii) of the Rights in Technical Data and Computer
    Software clause at DFARS 52.227-7013, and/or in similar
    or successor clauses in the FAR, DOD or NASA FAR
    Supplement.  Unpublished- rights reserved under the
    Copyright Laws of the United States.  Contractor is
    SILICON GRAPHICS, INC., 2011 N. Shoreline Blvd.,
    Mountain View, CA 94039-7311

#endif
/*
    This class performs a real forward FFT (as an ilOpImg).
*/

#ifndef _ilRFFTfImg_h_
#define _ilRFFTfImg_h_

#include <il/ilOpImg.h>
#include <il/ilFFTOp.h>

class ilRFFTfImg : public ilOpImg, private ilFFTOp {
public:
    iflClassListDeclare
    ~ilRFFTfImg();
    // external api: begin
    ilRFFTfImg(ilImage *img = NULL, short option = ilFFTxform2D);
    void setOption(short option);
    // external api: end

private:
    short opt;
    void resetOp(); 
    ilStatus prepareRequest(ilMpCacheRequest* req);
    ilStatus executeRequest(ilMpCacheRequest* req);
    ilStatus finishRequest(ilMpCacheRequest* req);
};
#endif
